package si.uni_lj.fe.tnuv.pametnabudilka;

import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ListView;

import androidx.appcompat.app.AppCompatActivity;

import java.io.IOException;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

public class MainActivity extends AppCompatActivity {

    ListView past_sleeps_LV;

    //tabela za pretvorbo iz vrednosti prejete preko BT v motilec
    Map<Integer, String> intToStringTable = new HashMap<>();

    //sharni start Unix timestamp, end Unix Timestamp
    ArrayList<String[]> past_sleeps = new ArrayList<String[]>();

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        //Log.i("Test", "123");
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        intToStringTable.put(-1, "unknown");
        intToStringTable.put(0, "idle");
        intToStringTable.put(1, "idle");
        intToStringTable.put(2, "dog");
        intToStringTable.put(3, "switch");
        intToStringTable.put(4, "doors");
        intToStringTable.put(5, "dog");
        intToStringTable.put(6, "car");
        intToStringTable.put(7, "windows");
        intToStringTable.put(8, "switch");
        intToStringTable.put(9, "snoring");
        intToStringTable.put(10, "switch");


        //preberi prejšnja stanja
        String[] fileNames = this.fileList();
        Collections.sort(Arrays.asList(fileNames));
        //Log.i("filenames", "done");

        //branje zacetnega in koncnega casa iz datotek
        for(int i = fileNames.length-1; i >= 0; i--){
            //Log.i("filename", fileNames[i]);
            try {
                ReadFile file_i = new ReadFile(getApplicationContext(), fileNames[i]);
                //izbrisi vse prazne datoteke
                if (!file_i.deleteEmpty()) {

                    //shrani zacetek posnetka (v UNIX timestamp)
                    String sleepStart = fileNames[i].substring(0, fileNames[i].length() - 4);
                    //shrani konec posnetka (tut v UNIX timestamp)
                    String sleepStop = file_i.getLastTime();
                    //Log.i("SleepStop", sleepStop);

                    String[] sleepArray = {sleepStart, sleepStop};
                    //Log.i("SleepArray", sleepArray[0]);
                    //Log.i("SleepArray", sleepArray[1]);
                    past_sleeps.add(sleepArray);

                }
            } catch(IOException e){
                e.printStackTrace();
            }

        }


        //listView prejsnjih spanj
        past_sleeps_LV = (ListView) findViewById(R.id.past_sleeps_listView);
        SleepsAdapter listAdapter = new SleepsAdapter(getApplicationContext(), past_sleeps);
        past_sleeps_LV.setAdapter(listAdapter);

        past_sleeps_LV.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            @Override
            public void onItemClick(AdapterView<?> adapterView, View view, int position, long l) {
                Log.i("Press", "detected");
                Intent intent = new Intent(getApplicationContext(), OneSleepActivity.class);
                intent.putExtra("sleepStart", past_sleeps.get(position)[0]);
                intent.putExtra("sleepStop", past_sleeps.get(position)[1]);
                finish();
                startActivity(intent);
                //Toast.makeText(getApplicationContext(),"You Selected "+ past_sleeps.get(position)[0],Toast.LENGTH_SHORT).show();
            }
        });

    }

    public void goToSleepingActivity(View view){
        Intent intent = new Intent(this, SleepingActivity.class);
        finish();
        startActivity(intent);
    }

    @Override
    protected void onDestroy() {
        super.onDestroy();
    }


}

