package si.uni_lj.fe.tnuv.pametnabudilka;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.ListView;
import android.widget.TextView;

import androidx.appcompat.app.AppCompatActivity;

import java.io.IOException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.TimeZone;

public class OneSleepActivity extends AppCompatActivity {
    ListView disruptorsLV;
    ArrayList<String[]> rawData = new ArrayList<String[]>();
    ArrayList<String[]> data = new ArrayList<String[]>();



    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_one_sleep);

        //nastavi case
        TextView startDate = (TextView) findViewById(R.id.sleepStartDateTV);
        TextView startTime = (TextView) findViewById(R.id.sleepStartTimeTV);
        TextView duration = (TextView) findViewById(R.id.sleepDurationTV);

        String sleepStart = getIntent().getStringExtra("sleepStart");
        String sleepStop = getIntent().getStringExtra("sleepStop");

        Calendar startTimeCal = Calendar.getInstance();
        startTimeCal.setTimeInMillis(Long.valueOf(sleepStart));
        long timeDiff = Long.valueOf(sleepStop) - Long.valueOf(sleepStart);
        //Log.i("timediff", String.valueOf(timeDiff));

        Calendar stopTimeCal = Calendar.getInstance();
        stopTimeCal.setTimeInMillis(timeDiff);

        SimpleDateFormat dateFormat = new SimpleDateFormat("d. M. yyyy");
        SimpleDateFormat startTimeFormat = new SimpleDateFormat("H:mm");
        //SimpleDateFormat startTimeFormat = new SimpleDateFormat("H:mm:ss");
        SimpleDateFormat lengthFormat = new SimpleDateFormat("H'h 'mm'min'");
        //s sekundami
        //SimpleDateFormat lengthFormat = new SimpleDateFormat("H'h 'mm'min 'ss's'");
        lengthFormat.setTimeZone(TimeZone.getTimeZone("GMT"));


        startDate.setText(dateFormat.format(startTimeCal.getTime()));
        startTime.setText(startTimeFormat.format(startTimeCal.getTime()));
        duration.setText(lengthFormat.format(stopTimeCal.getTime()));


        //preberi file
        ReadFile file = new ReadFile(getApplicationContext(), sleepStart +".txt");
        try {
            rawData = file.getData();
        } catch (IOException e) {
            e.printStackTrace();
        }



        //uredi disruptorje
        for(int i = 0; i<rawData.size();i++){
            //Log.i("Rawdata", i + "   " + String.valueOf(rawData.get(i)[1]));
            if ( !(rawData.get(i)[1].equalsIgnoreCase("idle")) ) {
                //Log.i("addData", "added");
                data.add(rawData.get(i));
            }
        }

        //gumb za odpiranje grafov
        Button button = (Button) findViewById(R.id.graph);
        button.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(getApplicationContext(),BarGraph.class);
                intent.putExtra("sleepStart", sleepStart);
                intent.putExtra("sleepStop", sleepStop);
                startActivity(intent);
            }
        });

        //listview motilcev
        disruptorsLV = (ListView) findViewById(R.id.disruptors_data_LV);
        OneSleepAdapter sleepAdapter = new OneSleepAdapter(getApplicationContext(), data);
        disruptorsLV.setAdapter(sleepAdapter);


    }

    public void onBackPressed() {
        Intent intent = new Intent(this, MainActivity.class);
        finish();
        startActivity(intent);
    }


}