package si.uni_lj.fe.tnuv.pametnabudilka;

import android.content.Context;
import android.util.Log;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.util.ArrayList;

public class ReadFile {
    Context context;
    File file;

    public ReadFile(Context applicationContext, String fileName){
        this.context = applicationContext;
        this.file = new File(context.getFilesDir(), fileName);
    }

    public String readFile() throws IOException {
        int length = (int) file.length();

        byte[] bytes = new byte[length];

        FileInputStream in = new FileInputStream(file);
        try {
            in.read(bytes);
        } catch (IOException e) {
            e.printStackTrace();
        } finally {
            in.close();
        }
        String contents = new String(bytes);
        return contents;
    }

    //vrne cas zadnjega motilca
    public String getLastTime() throws IOException {
        String fileOut = readFile();
        int strLength = fileOut.length();
        int strEnd = fileOut.lastIndexOf(",", strLength-2);
        int strStart= fileOut.lastIndexOf(";", strEnd);
        Log.i("ReadFile", strStart + " " + strEnd);

        return fileOut.substring(strStart+1, strEnd);
    }

    public ArrayList<String[]> getData() throws IOException {
        String fileOut = readFile();
        int strLength = fileOut.length();
        ArrayList<String[]> dataArray = new ArrayList<String[]>();
        String[] pairsArray = fileOut.split(";");
        for(int i = 0; i < pairsArray.length; i++){
            String[] oneDisruptor = pairsArray[i].split(",");
            dataArray.add(oneDisruptor);
        }
        return dataArray;
    }

    //izbrisi prazne datoteke ker povzrocajo errorje pri branju
    public boolean deleteEmpty() {
        if(file.length() == 0L){
            file.delete();
            Log.i("DeleteEmpty","file deleted");
            return true;
        }
        else{
            return false;
        }
    }
}
