package si.uni_lj.fe.tnuv.pametnabudilka;

import android.content.Context;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.TimeZone;

public class SleepsAdapter extends BaseAdapter {
    Context context;
    ArrayList<String[]> times_and_lengths; //shranjeni čas in dolžina spanja
    LayoutInflater inflter;

    public SleepsAdapter(Context applicationContext, ArrayList<String[]> itemsList) {
        this.context = applicationContext;
        this.times_and_lengths = itemsList;
        inflter = (LayoutInflater.from(applicationContext));
        Log.i("SleepsAdapter", "started");
    }

    @Override
    public int getCount() {
        return times_and_lengths.size();
    }

    @Override
    public Object getItem(int i) {
        return null;
    }

    @Override
    public long getItemId(int i) {
        return 0;
    }

    @Override
    public View getView(int i, View view, ViewGroup viewGroup) {
        view = inflter.inflate(R.layout.activity_sleeps_lv, null);
        TextView one_sleep_date = (TextView) view.findViewById(R.id.one_sleep_date_TV);
        TextView one_sleep_length = (TextView) view.findViewById(R.id.one_sleep_length_TV);
        TextView one_sleep_startTime = (TextView) view.findViewById(R.id.one_sleep_startTime_TV);

        String[] sleep_i = times_and_lengths.get(i);
        Calendar startTime = Calendar.getInstance();
        startTime.setTimeInMillis(Long.valueOf(sleep_i[0]));
        long timeDiff = Long.valueOf(sleep_i[1]) - Long.valueOf(sleep_i[0]);
        //Log.i("timediff", String.valueOf(timeDiff));

        Calendar stopTime = Calendar.getInstance();
        stopTime.setTimeInMillis(timeDiff);
        //stopTime.setTimeZone(TimeZone.getTimeZone("GMT"));
        //Log.i("stopTime", String.valueOf(stopTime.getTime()));


        /*
        //s sekundami
        SimpleDateFormat dateFormat = new SimpleDateFormat("d. M. yyyy");
        SimpleDateFormat startTimeFormat = new SimpleDateFormat("H:mm:ss");
        SimpleDateFormat lengthFormat = new SimpleDateFormat("H'h 'mm'min ' ss's'");
        */

        //brez sekund
        SimpleDateFormat dateFormat = new SimpleDateFormat("d. M. yyyy");
        SimpleDateFormat startTimeFormat = new SimpleDateFormat("H:mm");
        SimpleDateFormat lengthFormat = new SimpleDateFormat("H'h 'mm'min'");


        lengthFormat.setTimeZone(TimeZone.getTimeZone("GMT"));


        one_sleep_date.setText(dateFormat.format(startTime.getTime()));
        one_sleep_startTime.setText(startTimeFormat.format(startTime.getTime()));
        one_sleep_length.setText(context.getString(R.string.one_sleep_length_text) + lengthFormat.format(stopTime.getTime()));

        return view;
    }


}
